-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello everyone,

I'm trying to run a script on a remote FreeBSD server. I have user access only. The server runs precompiled ruby 1.8 with no rubygems installed. I installed rubygems on my $HOME and setup the env accordingly. Everything worked until I got to the point where I must use the 'twitter' gem.

Apparently 'twitter' gem requires 'json' or 'yajl-ruby' gems, which both for some reason try to chgrp/chwon the installation files. Here are the logs:

- ----------
[atma@server10 ~]$ ruby --version
ruby 1.8.7 (2010-08-16 patchlevel 302) [i386-freebsd7]
[atma@server10 ~]$ gem -v
1.6.2
[atma@server10 ~]$ gem list --local

*** LOCAL GEMS ***

addressable (2.2.4)
faraday (0.5.7)
faraday_middleware (0.3.2)
hashie (1.0.0)
multi_json (0.0.5)
multi_xml (0.2.2)
multipart-post (1.1.0)
rack (1.2.2)
simple_oauth (0.1.4)
twitter (1.2.0)
ya2yaml (0.30)
[atma@server10 ~]$ gem install json
Building native extensions.  This could take a while...
ERROR:  Error installing json:
	ERROR: Failed to build gem native extension.

        /usr/local/bin/ruby18 extconf.rb
checking for re.h... yes
creating Makefile

make
cc -I. -I/usr/local/lib/ruby/1.8/i386-freebsd7 -I/usr/local/lib/ruby/1.8/i386-freebsd7 -I. -DHAVE_RE_H -I/usr/include   fPIC -I/usr/include -O3 -fno-strict-aliasing -pipe  -fPIC  -c generator.c
cc -shared -o generator.so generator.o -L. -L/usr/local/lib -Wl,-R/usr/local/lib -L.  -rpath=/usr/lib:/usr/local/lib -rdynamic -Wl,-soname,generator.so   -Wl,-R -Wl,/usr/local/lib -L/usr/local/lib -lruby18  -lcrypt -lm -L/usr/lib  -rpath=/usr/lib:/usr/local/lib

make install
mkdir -p /home/www/atma/.gems/gems/json-1.5.1/ext/json/ext/json/ext
/usr/bin/install -c -o root -g wheel -m 0755 generator.so /home/www/atma/.gems/gems/json-1.5.1/ext/json/ext/json/ext
install: /home/www/atma/.gems/gems/json-1.5.1/ext/json/ext/json/ext/generator.so: chown/chgrp: Operation not permitted
*** Error code 71

Stop in /home/www/atma/.gems/gems/json-1.5.1/ext/json/ext/generator.


Gem files will remain installed in /home/www/atma/.gems/gems/json-1.5.1 for inspection.
Results logged to /home/www/atma/.gems/gems/json-1.5.1/ext/json/ext/generator/gem_make.out
[atma@server10 ~]$             

- --------

The gem 'yajl-ruby' fails with the exact same error.


Best Regards,


Panagiotis (atmosx) Atmatzidis

email:	atma / convalesco.org
URL:	http://www.convalesco.org
GnuPG ID: 0xFC4E8BB4 
gpg --keyserver x-hkp://pgp.mit.edu --recv-keys 0xFC4E8BB4
- --
The wise man said: "Never argue with an idiot. They bring you down to their level and beat you with experience."

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.12 (Darwin)

iEYEARECAAYFAk2OGXoACgkQrghUb/xOi7T8qQCgm2zdTdbAXZo1Ujroh0rbrvm1
c20AnRdOHWizK9zr/OTopKvQpgy44qg2
=y8W6
-----END PGP SIGNATURE-----